Bug 25490 - high security setting causes problems with DNS
high security setting causes problems with DNS
Status: CLOSED DUPLICATE of bug 25951
Product: Red Hat Linux
Classification: Retired
Component: gnome-lokkit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-01 11:23 EST by Sean Dilda
Modified: 2014-03-16 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-02 18:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2001-02-01 11:23:43 EST
If you have a laptop that uses dhcp to move between networks, high security
setting in lokkit will cause dns problems.
high securtiy only allows responses from a set of ips, however when you
switch networks, this set might change, thus not allowing you to get the
proper dns responses.

This is also likely to cause a problem for people who manually switch
without dhcp.  Perhaps you could have the rules for allowing dns responses
to be dynamic, based on the dns servers currently in resolv.conf when the
interface is brought up.
Comment 1 Pekka Savola 2001-02-02 18:42:43 EST
Also, there could be a trigger in dhcp (e.g. if you obtain a new lease when you're still running)
to restart firewalling.
Comment 2 Bill Nottingham 2001-02-05 11:00:19 EST

*** This bug has been marked as a duplicate of 25951 ***

Note You need to log in before you can comment on or make changes to this bug.